﻿/**
 * Datatype
 *
 * $Project: CLX.WBT-Tracker$
 * $Date: 12.07.2011 17:21:37$ 
 * $Revision: 5$
 *
 * @package    	clx.scorm
 * @copyright  	Copyright (c) Crealogix AG
 * @link		www.crealogix.com
 * @since       1.0.0
 * @author      Andreas Häberli <andreas.haeberli@crealogix.com>
 * @version		$Id: Datatype.js,v 1.2.1.0.1.0, 2011-07-12 15:21:37Z, Andreas Haeberli$
 */
 
dojo.provide('clx.scorm.Datatype');
dojo.declare('clx.scorm.Datatype',null,{
	
	/*
	 * constructor
	 * 
	 * @param array type_array
	 * @param boolean isRead
	 * @param boolean isWrite
	 * @param string value
	 */		
	constructor: function(type_array, isRead, isWrite, value) {
		this._type_array = type_array;
		this._isRead = isRead;
		this._isWrite = isWrite;
		this._value = value;
	},
	
	/*
	 * setValue
	 * 
	 * @param string value
	 * @param boolean withoutTypeCheck
	 * @return mxed string|clx.scorm.Error
	 */		
	setValue:function(value, withoutTypeCheck) {
		if(withoutTypeCheck) {
			this._value = value;
			return 'true';
		} else {
			if(this._isWrite) {
				for (var ii = 0; ii < this._type_array.length; ii++) {
					if(this._type_array[ii].isValid(value)) {
						this._value = value;
						return 'true';
					}
				}
				return new clx.scorm.Error('405');
			} else {
				return new clx.scorm.Error('403');
			}
		}
	},
	
	/*
	 * getValue
	 * 
	 * @param boolean withoutTypeCheck
	 * @return mxed string|clx.scorm.Error
	 */		
	getValue:function(withoutTypeCheck) {
		if(withoutTypeCheck) {
			return this._value;
		} else {
			if(this._isRead) {
				return this._value; 
			} else {
				return new clx.scorm.Error('404');
			} 	
		}
	},
	
	/*
	 * filter
	 * 
	 * @param string value
	 * @return string
	 */		
	filter:function(value) {
		for (var ii = 0; ii < this._type_array.length; ii++) {
			value = this._type_array[ii].filter(value);
		}
		return value;
	}
	
});