﻿/**
 * Error
 *
 * $Project: CLX.WBT-Tracker$
 * $Date: 12.07.2011 17:21:37$ 
 * $Revision: 5$
 *
 * @package    	clx.scorm
 * @copyright  	Copyright (c) Crealogix AG
 * @link		www.crealogix.com
 * @since       1.0.0
 * @author      Andreas Häberli <andreas.haeberli@crealogix.com>
 * @version		$Id: Error.js,v 1.2.1.0.1.0, 2011-07-12 15:21:37Z, Andreas Haeberli$
 */
 
dojo.provide('clx.scorm.Error');
dojo.declare('clx.scorm.Error',null,{
	
	/*
	 * constructor
	 * 
	 * @param int code
	 */		
	constructor: function(code) {
		this._code = code;
		this._message_array = {
			'0' 	: 'No error',
			'101'	: 'General exception',
			'201'	: 'Invalid argument error',
			'202'	: 'Element cannot have children',
			'203'	: 'Element not an array - Cannot have count',
			'301'	: 'Not initialized',
			'401'	: 'Not implemented error',
			'402'	: 'Invalid set value, element is a keyword',
			'403'	: 'Element is read only.',
			'404'	: 'Element is write only',
			'405'	: 'Incorrect Data Type'
		};
	},
	
	/*
	 * getCode
	 * 
	 * @return int
	 */		
	getCode:function() {
		return this._code;
	},
	
	/*
	 * getMessage
	 * 
	 * @param int code
	 * @return string
	 */		
	getMessage:function(code) {
		if(code == null || code == '') {
			return this._message_array[this._code];			
		} else {
			return this._message_array[code];
		}
	}
	
});