﻿/**
 * Format
 *
 * Project: CLX.WBT-Tracker
 * Date: 21.12.2009 16:24:18 
 * Revision: 4
 *
 * @package    	clx.scorm
 * @copyright  	Copyright (c) Crealogix AG
 * @link		www.crealogix.com
 * @since       1.1.0
 * @author      Andreas Häberli <andreas.haeberli@crealogix.com>
 * @version		Id: Data.js,v 1.2.1.0, 2009-12-21 15:24:18Z, Andreas Haeberli
 */


dojo.provide('clx.scorm.Format');
dojo.declare('clx.scorm.Format',null,{
	
	constructor: function() {
	},
	
	/*
	 * Filter
	 * 
	 * @param string value
	 * @return string
	 */		
	numToTimeString:function(num) {
		var time_array = {
			'h' : Math.floor(num/3600),
	    	'm' : Math.floor((num%3600)/60),
	    	's' : Math.floor(num%60)
		};
		var format_array = {
			'h' : 4,
		    'm' : 2,
		    's' : 2
		};
		var value = 'h:m:s.00';
		
		for(var i in time_array) {
			var str = ''+time_array[i];
			while(str.length < format_array[i]){
				str = '0'+str;
			}
			value = value.split(i).join(str);

		}
	    return value;
	},
	
	/*
	 * Filter
	 * 
	 * @param string value
	 * @return string
	 */		
	timeStringToNum:function(str) {
		// Time [hhhh:mm:ss.ss]
		var array = str.split(':');
		var value = parseInt(array[0]) * 3600 + parseInt(array[1]) * 60 + parseInt(array[2]);
		return value;
	}
	
});