﻿/**
 * Sco Addon
 * 
 * Enables a learning object to open / close another
 * 
 * $Project: CLX.WBT-Tracker$
 * $Date: 12.07.2011 17:21:37$ 
 * $Revision: 7$
 *
 * @package    	clx.scorm
 * @copyright  	Copyright (c) Crealogix AG
 * @link		www.crealogix.com
 * @since       1.0.0
 * @author      Kelvin Louis
 * @version		$Id: Api.js,v 1.2.1.2.1.0, 2011-07-12 15:21:37Z, Andreas Haeberli$
 */

dojo.require('clx.scorm.addon.Abstract');
dojo.provide('clx.scorm.addon.Sco');
dojo.declare('clx.scorm.addon.Sco', clx.scorm.addon.Abstract,{
	
	constructor : function(adapter) {
		this._adapter = adapter;
		this.inherited("constructor", arguments);
	},
	
	register : function(api){
		this._adapter.register(api);
		this.inherited("register", arguments);
	},
	
	LMSLaunchSco : function(sconame){	
		return this._adapter.LMSLaunchSco(sconame);
	},
	
	LMSCloseSco : function(){
		if(this._api._isInitialize) {		             
			// if session is still initialized
			this._api.LMSFinish('');
		}		
		this._adapter.LMSCloseSco();
	},

	LMSLaunchSCO : function(sconame){
		return this.LMSLaunchSco(sconame);
	},

	LMSGetScoLaunchUrl : function(sconame){
		return this._adapter.LMSGetScoLaunchUrl(sconame);
	},

	LMSGetSCOLaunchUrl : function(sconame){
		return this.LMSGetScoLaunchUrl(sconame);
	},
	
	LMSCloseSCO : function(){
		this.LMSCloseSco();
	}
}); 