﻿/**
 * Air Adapter
 * 
 * This is the AIR Adapter for the CYP addon.
 * 
 * $Project: CLX.CYP-Satellite$
 * $Date: 12.07.2011 17:21:37$ 
 * $Revision: 7$
 *
 * @package    	clx.scorm.addon.cyp.adapter
 * @copyright  	Copyright (c) Crealogix AG
 * @link		www.crealogix.com
 * @since       1.0.0
 * @author      Daniel Tiefenauer
 * @version		$Id: Api.js,v 1.2.1.2.1.0, 2011-07-12 15:21:37Z, Andreas Haeberli$
 */

dojo.require('clx.scorm.addon.cyp.adapter.Abstract');
dojo.require("clx.scorm.addon.cyp.air.bridge.Command");

dojo.provide('clx.scorm.addon.cyp.adapter.Air');
dojo.declare('clx.scorm.addon.cyp.adapter.Air', clx.scorm.addon.sco.adapter.Abstract,{
	
	constructor : function(sessionId, bridge) {
		this._sessionId = sessionId;
		this._bridge = bridge;		
	},

	LMSEvent:function(eventName, eventValue) {
		var request_obj = new Object({
			'name'		: eventName,
			'value' 	: eventValue		
		});
		this._bridge.call(new clx.scorm.addon.cyp.air.bridge.Command(this, 'LMSEvent', 'onAfterLMSEvent', encodeURIComponent(dojo.toJson(request_obj))));
	},
	
	/*
	 * Callback on after LMSEvent
	 * 
	 * @return void
	 */		
	onAfterLMSEvent:function(response) {
	}

});