﻿/**
 * Communicator
 *
 * $Project: CLX.WBT-Tracker$
 * $Date: 12.07.2011 17:21:37$ 
 * $Revision: 5$
 *
 * @package    	clx.scorm.addon.cyp.air
 * @copyright  	Copyright (c) Crealogix AG
 * @link		www.crealogix.com
 * @since       1.0.0
 * @author      Reto Infanger <reto.infanger@crealogix.com>
 * @version		$Id: Error.js,v 1.2.1.0.1.0, 2011-07-12 15:21:37Z, Andreas Haeberli$
 */
 
dojo.provide('clx.scorm.addon.cyp.air.Bridge');
dojo.declare('clx.scorm.addon.cyp.air.Bridge',null,{
	
	/*
	 * constructor
	 * 
	 */		
	constructor: function() {
		refAirBridge = this;
		this._activeCommand = null;
		this._queue = [];		
	},
	
	/*
	 * Call
	 * 
	 * @param command
	 * @return void
	 */		
	call:function(command) {
		this._queue.push(command);
		if(this._activeCommand == null) {
			this.doCall(this._queue.splice(0, 1)[0]);
		}
	},
	
	/*
	 * Do call
	 * 
	 * @param command
	 * @return void
	 */		
	doCall:function(command) {
		this._activeCommand = command;
		StageWebViewBridge.call(command.getLmsEvent(), this.onAfterCall, command.getRequest());
	},
	
	/*
	 * On after call
	 * 
	 * @param response
	 * @return void
	 */		
	onAfterCall:function(response) {
		// Callback		
		var caller = refAirBridge._activeCommand.getCaller();
		var method = refAirBridge._activeCommand.getCallbackFunction();
		caller[method](response);
		
		// Next command
		refAirBridge._activeCommand = null;
		if(refAirBridge._queue.length > 0) {
			refAirBridge.doCall(refAirBridge._queue.splice(0, 1)[0]);
		}
	}
	
});