﻿/**
 * Air Adapter
 * 
 * This is the HTTP Adapter for the sco addon.
 * 
 * $Project: CLX.WBT-Tracker$
 * $Date: 12.07.2011 17:21:37$ 
 * $Revision: 7$
 *
 * @package    	clx.scorm.addon.sco.adapter
 * @copyright  	Copyright (c) Crealogix AG
 * @link		www.crealogix.com
 * @since       1.0.0
 * @author      Kelvin Louis
 * @version		$Id: Api.js,v 1.2.1.2.1.0, 2011-07-12 15:21:37Z, Andreas Haeberli$
 */

dojo.require('clx.scorm.addon.sco.adapter.Abstract');
dojo.require("clx.scorm.addon.cyp.air.bridge.Command");

dojo.provide('clx.scorm.addon.sco.adapter.Air');
dojo.declare('clx.scorm.addon.sco.adapter.Air', clx.scorm.addon.sco.adapter.Abstract,{
	
	constructor : function(sessionId, bridge) {
		this._sessionId = sessionId;
		this._bridge = bridge;
	},
	
	/*
	 * LMSLaunchSco
	 * 
	 * @return void
	 */	
	LMSLaunchSco:function(scoName) {
		this._api.LMSFinish('');
		this._bridge.call(new clx.scorm.addon.cyp.air.bridge.Command(this, 'launchSco', 'onAfterLMSLaunchSco', scoName));
		return true;
	},
	
	/*
	 * Callback on after LMSLaunchSco
	 * 
	 * @return void
	 */		
	onAfterLMSLaunchSco:function(response) {
	},
	
	/*
	 * LMSCloseSco
	 * 
	 * @return void
	 */
	LMSCloseSco:function() {
		this._bridge.call(new clx.scorm.addon.cyp.air.bridge.Command(this, 'closeSco', 'onAfterLMSCloseSco', null));
	},
	
	/*
	 * Callback on after LMSCloseSco
	 * 
	 * @return void
	 */		
	onAfterLMSCloseSco:function(response) {
	}
});