﻿/**
 * Http Adapter
 * 
 * This is the HTTP Adapter for the sco addon.
 * 
 * $Project: CLX.WBT-Tracker$
 * $Date: 12.07.2011 17:21:37$ 
 * $Revision: 7$
 *
 * @package    	clx.scorm
 * @copyright  	Copyright (c) Crealogix AG
 * @link		www.crealogix.com
 * @since       1.0.0
 * @author      Kelvin Louis
 * @version		$Id: Api.js,v 1.2.1.2.1.0, 2011-07-12 15:21:37Z, Andreas Haeberli$
 */

dojo.require('clx.trc.util.Popup');
dojo.require('clx.scorm.addon.sco.adapter.Abstract');

dojo.provide('clx.scorm.addon.sco.adapter.Http');
dojo.declare('clx.scorm.addon.sco.adapter.Http', clx.scorm.addon.sco.adapter.Abstract,{
	
	constructor : function(session_id, url) {
		this._session_id = session_id;
		this._url = url;
	},
	
	LMSLaunchSco : function(sconame){
		var url = this.LMSGetScoLaunchUrl(sconame);
		if (navigator.userAgent.match(/Android/i)) {
			return false;
		} else {
			return new clx.trc.util.Popup(url, 'LO', 0, 0, screen.availHeight, screen.availWidth, null, null, null, null, null, null, null, null, null, null, true, true, true, true, false);		
		}
	},

	LMSGetScoLaunchUrl : function(sconame){
		return [
				this._url,
				'?method=LMSLaunchSco&sid=',
				this._session_id,
				'&sconame=',
				sconame
			].join('');
	},
	
	LMSCloseSco : function(){
		top.close();
	}	
});