﻿/**
 * CMIDecimal
 * 
 * A number that may have a decimal point.
 * If not preceded by a minus sign, the number is presumed to be positive.
 * Examples are "2","2.2" and "-2.2").
 *
 * $Project: CLX.WBT-Tracker$
 * $Date: 21.12.2009 16:24:18$ 
 * $Revision: 4$
 *
 * @package    	clx.scorm.datatype
 * @copyright  	Copyright (c) Crealogix AG
 * @link		www.crealogix.com
 * @since       1.0.0
 * @author      Andreas Häberli <andreas.haeberli@crealogix.com>
 * @version		$Id: CMIDecimal.js,v 1.2.1.0, 2009-12-21 15:24:18Z, Andreas Haeberli$
 */
 
dojo.provide('clx.scorm.datatype.CMIDecimal');
dojo.declare('clx.scorm.datatype.CMIDecimal',null,{
	
	constructor: function() {		
	},
	
	/*
	 * isValid
	 * 
	 * @param string value
	 * @return boolean
	 */
	isValid:function(value) {
		if(!isNaN(value)) {
			return true; 
		} else {
			return false;
		} 	
	},

	/*
	 * Filter
	 * 
	 * @param string value
	 * @return string
	 */	
	filter:function(value) {
		return value; 	
	}
});