﻿/**
 * CMIFeedback
 * 
 * A structured description of a student response in an interaction.
 * The structure and contents of the feedback depends upon the type of interaction.
 * The currently defined interactions are:
 * 
 * true-false:
 * Feedback is one of the following single characters: "0","1","t", or "f".
 * 
 * choice:
 * Feedback is one or more single characters separated by a comma.
 * Legal characters are "0" to "9" and "a" to "z".
 * If all the characters must be chosen to assume the feedback is correct, then the comma-separated list must be surrounded by curly brackets: { }
 * 
 * fill-in:
 * Any alpha-numeric string up to 255 characters in length.
 * After the first letter spaces are significant.
 * 
 * numeric:
 * CMIDecimal
 * 
 * likert:
 * Single character.
 * Legal characters are 0 to 9 and a to z.
 * 
 * matching:
 * One or more pairs of identifiers.
 * Each identifier is a single letter or number (0 to 9 and a to z).
 * The identifiers in a pair are separated by a period.
 * Commas separate the pairs.
 * If all pairs must be matched correctly to consider the interaction correct, then the comma separated list of pairs are surrounded by curly brackets: { }
 * 
 * performance:
 * This is a very flexible format.
 * Essentially an alphanumeric string of 255 characters or less.
 * 
 * sequencing:
 * A series of single characters separated by commas.
 * Legal characters are 0 to 9 and a to z.
 * The order of the characters determines the correctness of the feedback.
 *
 * $Project: CLX.WBT-Tracker$
 * $Date: 21.12.2009 16:24:18$ 
 * $Revision: 3$
 *
 * @package    	clx.scorm.datatype
 * @copyright  	Copyright (c) Crealogix AG
 * @link		www.crealogix.com
 * @since       1.0.0
 * @author      Andreas Häberli <andreas.haeberli@crealogix.com>
 * @version		$Id: CMIFeedback.js,v 1.1.1.0, 2009-12-21 15:24:18Z, Andreas Haeberli$
 */
 
dojo.provide('clx.scorm.datatype.CMIFeedback');
dojo.declare('clx.scorm.datatype.CMIFeedback',null,{
	
	constructor: function() {		
	},
	
	/*
	 * isValid
	 * 
	 * @param string value
	 * @return boolean
	 */
	isValid:function(value) {
		return true;
	},

	/*
	 * Filter
	 * 
	 * @param string value
	 * @return string
	 */		
	filter:function(value) {
		return value; 	
	}
});