﻿/**
 * CMITime
 * 
 * A chronological point in a 24 hour clock.
 * Identified in hours, minutes and seconds in the format: HH:MM:SS.SS
 * Hours and minutes shall contain exactly 2 digits.
 * Seconds shall contain 2 digits, with an optional decimal point and 1 or 2 additional digits (i.e. 34.45).
 *
 * $Project: CLX.WBT-Tracker$
 * $Date: 21.12.2009 16:24:18$ 
 * $Revision: 3$
 *
 * @package    	clx.scorm.datatype
 * @copyright  	Copyright (c) Crealogix AG
 * @link		www.crealogix.com
 * @since       1.0.0
 * @author      Andreas Häberli <andreas.haeberli@crealogix.com>
 * @version		$Id: CMITime.js,v 1.1.1.0, 2009-12-21 15:24:18Z, Andreas Haeberli$
 */
 
dojo.provide('clx.scorm.datatype.CMITime');
dojo.declare('clx.scorm.datatype.CMITime',null,{
	
	constructor: function() {		
	},
	
	/*
	 * isValid
	 * 
	 * @param string value
	 * @return boolean
	 */
	isValid:function(value) {
		if(new RegExp(/^[0-9]{2}:[0-9]{2}:[0-9]{2}$/).test(value) || 
		   new RegExp(/^[0-9]{2}:[0-9]{2}:[0-9]{2}\.[0-9]{1,2}$/).test(value)) {
			return true; 
		} else {
			return false;
		} 	
	},

	/*
	 * Filter
	 * 
	 * @param string value
	 * @return string
	 */		
	filter:function(value) {
		return value; 	
	}
});