﻿/**
 * CMIVocabularyInteraction
 * 
 * Vocabulary words must be complete and exact matches to those below.
 * Single letters and abbreviations may not be used in API communication.  
 * Interaction:
 * - "true-false"
 * - "choice"
 * - "fill-in"
 * - "matching"
 * - "performance"
 * - "likert"
 * - "sequencing"
 * - "numeric"
 *
 * $Project: CLX.WBT-Tracker$
 * $Date: 21.12.2009 16:24:18$ 
 * $Revision: 3$
 *
 * @package    	clx.scorm.datatype
 * @copyright  	Copyright (c) Crealogix AG
 * @link		www.crealogix.com
 * @since       1.0.0
 * @author      Andreas Häberli <andreas.haeberli@crealogix.com>
 * @version		$Id: CMIVocabularyInteraction.js,v 1.1.1.0, 2009-12-21 15:24:18Z, Andreas Haeberli$
 */
 
dojo.provide('clx.scorm.datatype.CMIVocabularyInteraction');
dojo.declare('clx.scorm.datatype.CMIVocabularyInteraction',null,{
	
	constructor: function() {		
	},
	
	/*
	 * isValid
	 * 
	 * @param string value
	 * @return boolean
	 */
	isValid:function(value) {
		switch (value) {
			case 'true-false':
			case 'choice':
			case 'fill-in':
			case 'matching':
			case 'performance':
			case 'likert':
			case 'sequencing':
			case 'numeric':
		  		return true;
		  	default:
		  		return false;
		} 	
	},

	/*
	 * Filter
	 * 
	 * @param string value
	 * @return string
	 */		
	filter:function(value) {
		return value; 	
	}
});