﻿/**
 * CMIVocabularyMode
 * 
 * Vocabulary words must be complete and exact matches to those below.
 * Single letters and abbreviations may not be used in API communication.  
 * Mode:
 * - "normal"
 * - "review"
 * - "browse"
 *
 * $Project: CLX.WBT-Tracker$
 * $Date: 21.12.2009 16:24:18$ 
 * $Revision: 4$
 *
 * @package    	clx.scorm.datatype
 * @copyright  	Copyright (c) Crealogix AG
 * @link		www.crealogix.com
 * @since       1.0.0
 * @author      Andreas Häberli <andreas.haeberli@crealogix.com>
 * @version		$Id: CMIVocabularyMode.js,v 1.2.1.0, 2009-12-21 15:24:18Z, Andreas Haeberli$
 */
 
dojo.provide('clx.scorm.datatype.CMIVocabularyMode');
dojo.declare('clx.scorm.datatype.CMIVocabularyMode',null,{
	
	constructor: function() {		
	},
	
	/*
	 * isValid
	 * 
	 * @param string value
	 * @return boolean
	 */
	isValid:function(value) {
		switch (value) {
			case 'normal':
			case 'review':
			case 'browse':
				return true;
			default:
				return false;
		} 	
	},

	/*
	 * Filter
	 * 
	 * @param string value
	 * @return string
	 */		
	filter:function(value) {
		return value; 	
	}
});