﻿/**
 * CMIVocabularyResult
 * 
 * Vocabulary words must be complete and exact matches to those below.
 * Single letters and abbreviations may not be used in API communication.  
 * Result:
 * - "correct"
 * - "wrong"
 * - "unanticipated"
 * - "neutral"
 * - X.X (CMIDecimal)
 *
 * $Project: CLX.WBT-Tracker$
 * $Date: 21.12.2009 16:24:18$ 
 * $Revision: 3$
 *
 * @package    	clx.scorm.datatype
 * @copyright  	Copyright (c) Crealogix AG
 * @link		www.crealogix.com
 * @since       1.0.0
 * @author      Andreas Häberli <andreas.haeberli@crealogix.com>
 * @version		$Id: CMIVocabularyResult.js,v 1.1.1.0, 2009-12-21 15:24:18Z, Andreas Haeberli$
 */
 
dojo.provide('clx.scorm.datatype.CMIVocabularyResult');
dojo.declare('clx.scorm.datatype.CMIVocabularyResult',null,{
	
	constructor: function() {		
	},
	
	/*
	 * isValid
	 * 
	 * @param string value
	 * @return boolean
	 */
	isValid:function(value) {
		switch (value) {
			case 'correct':
			case 'wrong':
			case 'unanticipated':
			case 'neutral':
		  		return true;
		  	default:
		  		if(!isNaN(value)) {
		  			return true;
		  		} else {
		  			return false;
		  		}
		} 	
	},

	/*
	 * Filter
	 * 
	 * @param string value
	 * @return string
	 */		
	filter:function(value) {
		return value; 	
	}
});