﻿/**
 * CMIVocabularyStatus
 * 
 * Vocabulary words must be complete and exact matches to those below.
 * Single letters and abbreviations may not be used in API communication.  
 * Status:
 * - "passed"
 * - "completed"
 * - "failed"
 * - "incomplete"
 * - "browsed"
 * - "not attempted"
 *
 * $Project: CLX.WBT-Tracker$
 * $Date: 21.12.2009 16:24:18$ 
 * $Revision: 4$
 *
 * @package    	clx.scorm.datatype
 * @copyright  	Copyright (c) Crealogix AG
 * @link		www.crealogix.com
 * @since       1.0.0
 * @author      Andreas Häberli <andreas.haeberli@crealogix.com>
 * @version		$Id: CMIVocabularyStatus.js,v 1.2.1.0, 2009-12-21 15:24:18Z, Andreas Haeberli$
 */
 
dojo.provide('clx.scorm.datatype.CMIVocabularyStatus');
dojo.declare('clx.scorm.datatype.CMIVocabularyStatus',null,{
	
	constructor: function() {		
	},
	
	/*
	 * isValid
	 * 
	 * @param string value
	 * @return boolean
	 */
	isValid:function(value) {
		switch (value) {
			case 'passed':
			case 'completed':
			case 'failed':
			case 'incomplete':
			case 'browsed':
			case 'not attempted':
				return true;
			default:
				return false;
		} 	
	},

	/*
	 * Filter
	 * 
	 * @param string value
	 * @return string
	 */		
	filter:function(value) {
	switch (value) {
		case 'p':
			return 'passed';		  
		case 'c':
			return 'completed';
		case 'f':
			return 'failed';
		case 'i':
			return 'incomplete';
		case 'b':
			return 'browsed';
		case 'na':
		case 'n a':
			return 'not attempted';
		default:
			return value;
		} 	
	}
});