﻿/**
 * Abstract
 * 
 * $Project: CLX.WBT-Tracker$
 * $Date: 12.07.2011 17:21:37$ 
 * $Revision: 5$
 *
 * @package    	clx.scorm.storage
 * @copyright  	Copyright (c) Crealogix AG
 * @link		www.crealogix.com
 * @since       1.0.0
 * @version    	1.0.0.200901232230
 * @author      Andreas Häberli <andreas.haeberli@crealogix.com>
 */

dojo.provide("clx.scorm.storage.Abstract");
dojo.declare("clx.scorm.storage.Abstract",null,{
	
	/*
	 * constructor
	 */		
	constructor: function() {
		this._api = null;
		this._data = null;
		this._dataCommit_obj = null;
		this._dataFinish_obj = null;
		this._isSynch = true;
	},
  
	/*
	 * Register
	 * 
	 * @param object api
	 */	
	register : function(api){
		this._api = api;
	},
	
	/*
	 * setData
	 * 
	 * @param object data
	 */		
	setData:function(data) {
		this._data = data;
	},
	
	/*
	 * isSynch
	 * 
	 * @return boolean
	 */		
	isSynch:function() {
		return this._isSynch;
	},
	
	/*
	 * read
	 * Initialize the data session and read data from backend
	 * 
	 * @return boolean
	 */		
	read:function() {
		return true;
	},
	
	/*
	 * commit
	 * Send data to backend
	 * 
	 * @return boolean
	 */		
	commit:function() {
		return true;
	},
	
	/*
	 * finish
	 * Finish the data session
	 * 
	 * @return boolean
	 */		
	finish:function() {
		return true;
	},
	
	/*
	 * setItemToDataCommitObject
	 * 
	 * @param string key
	 * @param string value
	 */		
	setItemToDataCommitObject:function(key, value) {
		if(this._dataCommit_obj == null) {
			this._dataCommit_obj = new Object();
		}
		this._dataCommit_obj[key] = value;
	},
	
	/*
	 * setItemToDataFinishObject
	 * 
	 * @param string key
	 * @param string value
	 */		
	setItemToDataFinishObject:function(key, value) {
		if(this._dataFinish_obj == null) {
			this._dataFinish_obj = new Object();
		}
		this._dataFinish_obj[key] = value;
	},
	
	/*
	 * _getDataCommitObject (private)
	 * 
	 * @return object
	 */		
	_getDataCommitObject:function() {		
		return this._dataCommit_obj;
	},
	
	/*
	 * _getDataFinishObject (private)
	 * 
	 * @return object
	 */		
	_getDataFinishObject:function() {
		return dojo.mixin(this._dataCommit_obj, this._dataFinish_obj);
	},
	
	/*
	 * _clearDataCommitObject (private)
	 * 
	 */		
	_clearDataCommitObject:function() {
		this._dataCommit_obj = null;
	},	
	
	/*
	 * toInfo
	 * 
	 */		
	toInfo:function() {
		return null;
	}	
});