﻿/**
 * Air
 * 
 * $Project: CLX.WBT-Tracker$
 * $Date: 12.07.2011 17:21:37$ 
 * $Revision: 5$
 *
 * @package    	clx.scorm.storage
 * @copyright  	Copyright (c) Crealogix AG
 * @link		www.crealogix.com
 * @since       1.0.0
 * @version    	1.0.0.200901232230
 * @author      Andreas Häberli <andreas.haeberli@crealogix.com>
 */

dojo.require("clx.scorm.storage.Abstract");

dojo.provide("clx.scorm.storage.Eeb");
dojo.declare("clx.scorm.storage.Eeb", clx.scorm.storage.Abstract,{
	
	/*
	 * constructor
	 * 
	 * @param string session_id
	 */		
	constructor: function(initObj) {
		this.inherited("constructor", arguments);
		
		this._session_id = initObj.session_id;
		this._version = '1.2';
		this._isSynch = false;
		
		// TODO
		ref_obj = this;

		for(key in initObj.data) {
			_data[]
		}
		
	},
	
	/*
	 * getSessionId
	 * 
	 * @return string
	 */		
	getSessionId:function() {
		return this._session_id;
	},
	
	/*
	 * read
	 * Initialize the data session and read data from backend
	 * 
	 * @return boolean
	 */		
	read:function() {
		var request_obj = new Object({
			'command'		: 'Read',
			'session_id' 	: this._session_id,
			'version' 		: this._version
		});	
		StageWebViewBridge.call('communicate', this.onAfterRead, dojo.toJson(request_obj));
		return true;
	},
	
	/*
	 * Callback on after read
	 * 
	 * @return void
	 */		
	 onAfterRead:function(response) {
		//alert("ON AFTER READ!!!" + response);
		
		var response_obj = dojo.fromJson(response);
		if(response_obj['error'] == '0') {
			for (var key in response_obj['data']) {
				var result = ref_obj._data.set(key, response_obj['data'][key], true);
				if(typeof(result) == 'object') {
					break;
				}
			}
		}
		
		//alert("ON AFTER READ finished");
	},
	
	/*
	 * commit
	 * Send data to backend
	 * 
	 * @return boolean
	 */		
	commit:function() {
		var data_obj = this._getDataCommitObject();
		if(data_obj) {
			var request_obj = new Object({
				'command'		: 'Commit',
				'session_id' 	: this._session_id,
				'version' 		: this._version,
				'data'			: data_obj
			});
			StageWebViewBridge.call('communicate', this.onAfterCommit, dojo.toJson(request_obj));
		}
		return true;
	},	
	
	/*
	 * Callback on after commit
	 * 
	 * @return void
	 */	
	onAfterCommit:function(response) {
		var response_obj = dojo.fromJson(response);
		if(typeof(response_obj) == 'object') {
			if(response_obj['error'] == '0') {
				ref_obj._clearDataCommitObject();
			}
		}
	},
	
	/*
	 * finish
	 * Finish the data session
	 * 
	 * @return boolean
	 */		
	finish:function() {
		var request_obj = new Object({
			'command'		: 'Finish',
			'session_id' 	: this._session_id,
			'version' 		: this._version,
			'data'			: this._getDataFinishObject()			
		});		
		StageWebViewBridge.call('communicate', this.onAfterFinish, dojo.toJson(request_obj));
		return true;
	},
	
	/*
	 * Callback on after finish
	 * 
	 * @return void
	 */		
	onAfterFinish:function(response) {
		var response_obj = dojo.fromJson(response);
		if(response_obj['error'] == '0') {
		}
	},
		
	/*
	 * toInfo
	 * 
	 */		
	toInfo:function() {
		return 'Storage AIR (Session ID: '+this.getSessionId()+')';
	}
});