		var apiHandle;
		var api = apiHandle;
		var getKeys = new Array();
		var setKeys = new Array();
		
		/**
		* Get List of keys and populate in DOM
		*/
		function parseKeys() {
			parseArray(api._behavior._data._items, '');

			$('#setKeyList').html('');
			$('#getKeyList').html('');

			for(var i=0;i<setKeys.length;i++) {

				$('#setKeyList')
					.append(
						$('<li>')
						.append($('<a>')
							.attr('href', 'javascript: $(\'#setKeyBtn\').html(\'' + setKeys[i] + '\')')
							.html(setKeys[i])
						)
				);
			}

			for (var i=0;i<getKeys.length;i++) {
				$('#getKeyList')
					.append(
					$('<li>')					
					.append($('<a>')
						.click(function() {	
							var key = $(this).html();						
							var value = api.LMSGetValue(key);
							if(typeof(value) == 'string') {
								alertBox('s', key + ': \"' + value + '\"');
							}
							else{
								alertBox('e', api._error.getMessage());
							}
						})
						.attr('href', '#')
						.attr('style', 'cursor: hand;')
						.html(getKeys[i])

					)
				);			
			}
		}

	    /**
	    * Create flat key/value-Object from API-Data
	    */
	    function parseArray(obj, oldkey) {
	        for(var key in obj) {
	            if( obj[key].declaredClass != null 
	            	&& obj[key].declaredClass.indexOf('Datatype') !==-1){
	            	if (obj[key]._isWrite) setKeys.push(oldkey + '.' + key);
	            	if (obj[key]._isRead) getKeys.push(oldkey + '.' + key);            	
	            }
	            else {
	                if(key != "_children" && key !="_count") {
	                    parseArray(obj[key], (oldkey == "")?key:oldkey + '.' + key);
	                }
	            }
	        }
	    }

	    /**
		* Initialization routine
		*/
		function initialize() {
			// Get API
			api = getAPIHandle();
			if (api) {
				alertBox('s', 'API found!');
				$('#apiFoundStatus').html('API FOUND');
				$('#apiFoundStatus').attr('class', 'label label-success');
			}
			else {
				alertBox('e', 'API not found!');
				$('#apiFoundStatus').html('API NOT FOUND');
				$('#apiFoundStatus').attr('class', 'label label-important');			
			}

			$('#apiInitStatus')
				.attr('class', 'label label-warning')
				.html('API is not initialized');

			// make disabled link unclickable
			$('#api_navbar').delegate('.disabled-link', 'click', function(event) {
			  	event.preventDefault();
			});
			$('body').delegate('.disabled', 'click', function(event) {
				event.preventDefault();
			})
			$('#api_navbar>li>a').attr('class', 'disabled-link');
			$('#api_navbar>li>a:first').removeClass('disabled-link');

			navigate('api');
			prepare('LMSInitialize');
		}
		
	    var getAPIHandle = function() {
			if (apiHandle == null) {
				apiHandle = getAPI();
			}

			return apiHandle;
		};
		
		var getAPI = function() {
			var theAPI = findAPI(window);
			if ((theAPI == null) && (window.opener != null) && (typeof(window.opener) != "undefined")){
				theAPI = findAPI(window.opener);
			 }
			if (theAPI == null){
				alert("Unable to find an API adapter");
			}
			return theAPI;
		  };	
		  
		var findAPI = function(win){
			var findAPITries = 0;
			while ((win.API == null) && (win.parent != null) && (win.parent != win)){
				findAPITries++;
				// Note: 7 is an arbitrary number, but should be more than sufficient
				if (findAPITries > 7) {
				   alert("Error finding API -- too deeply nested.");
				   return null;
				}
				
				win = win.parent;
			 }
			 return win.API;
		  };	  
		  
		  /**
		  * Prepare and show correct form in content area
		  */
		  function prepare(functionName) {

			switch(functionName) {		
				case 'LMSCommit':
					$('#commitData').html('');
					var values = api._behavior._storage._getDataCommitObject();
					if(values) {
						$('#commitBtn').removeClass('disabled');
						var i = 0;
						for(var key in values) {
							$('#commitData').append('<tr><td>' + ++i +'</td><td>' + key + '</td><td>' + values[key] + '</td></tr>');
						}
					}
					else {
						$('#commitBtn').addClass('disabled');
						$('#commitData').append('<tr><td colspan=\'3\'>no data available</td></tr>');
					}
					
				break;
				
				}

		  	$('div[id$="_content"][class="visible"]')
		  		.removeClass('visible')
		  		.addClass('invisible');
			$('#content').append(
				$('#'+ functionName + '_content')
					.removeClass('invisible')
					.addClass('visible')						
			)	
		  }

		/**
		* Show Info/Warnings/Errors in alert box
		*/	  
		function alertBox(type, message){
			$('#alertBox').html('');
			var title;
			var clazz = 'alert fade in';
		switch(type) {
			case 's': 
				title = 'Success'; 
				clazz += ' alert-success';
				break;
			case 'w': 
				title = 'Warning'; break;  				
				clazz += ' alert-warning';
			case 'e': 
				title = 'Error';
				clazz += ' alert-important';
				break;
			}


			var alert = $('<div>')
				.attr('id', 'alert')
				.attr('class', clazz)
				.append(
					$('<button>')
					.attr('id', 'closeButton')
					.attr('type', 'button')
					.attr('class', 'close')
					.attr('data-dismiss', 'alert')
					.html('&times;')
					)
				.append(
					$('<strong>')
					.attr('id', 'alertTitle')
					.html(title)
					)
				.append('&nbsp;')
				.append(
					$('<span>')
					.attr('id', 'alertMessage')
					.html(message)
					)
				.appendTo('#alertBox');

			window.setTimeout(function() {
		    $("#alert").fadeTo(500, 0).slideUp(500, function(){
		        $(this).alert('close');
		        $(this).remove();
		    });
		}, 2000);

	}
		  
	function navigate(content) {
		// swap menus
		$('div[id$="_menu"][class$="visible"]')
			.removeClass('visible')
			.addClass('invisible');
		$('#menu').append(
			$('#' + content + '_menu')
				.addClass('visible')
				.removeClass('invisible')
			);

		// swap contents
		$('div[id$="_content"]')
			.removeClass('visible')
			.addClass('invisible');
		$('#content').append(
			$('#' + content + '_content')
				.addClass('visible')
				.removeClass('invisible')
		)

		// swap tabs
		$('li[id$="_tab"][class="active"]').removeClass('active');
		$('#' + content + '_tab').addClass('active');


	}